Page MenuHomePhabricator

[Story] research editing on clients
Closed, ResolvedPublic

Description

Wikidata data is used on various Wikimedia wikis and by 3rd parties. Editors expect it to be editable from their home-wiki or other website/app. We need to research existing ways of tight Wikidata integration and come up with recommendations and best practices for the development team and community.

Core questions:

  • What ways of editing/leading people to Wikidata exist already?
  • What are their benefits and drawbacks?
  • How can they be improved?
  • How do they influence vandalism?
  • What new ways could exist?
  • How can we expose the power of Wikidata's data model without overburdening the editor who doesn't care about Wikidata?

Also proposed in Community-Wishlist-Survey-2016. Received 68 support votes, ranked #12 out of 265 proposals. View full proposal with discussion and votes here

Event Timeline

Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2015, 1:15 PM
RexxS added a subscriber: RexxS.Jul 13 2015, 7:29 PM

Update: Charlie will be working on this as her bachelor thesis. She'll start at the end of August.

Izno added a subscriber: Izno.Jul 13 2015, 7:33 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher removed a project: patch-welcome.
Dank added a subscriber: Dank.Jul 13 2015, 9:11 PM
I9606 added a subscriber: I9606.Jul 22 2015, 10:05 PM
-jem- added a subscriber: -jem-.Jul 22 2015, 11:26 PM
Jonas renamed this task from research editing on clients to [Story] research editing on clients.Aug 13 2015, 4:25 PM
Lucie assigned this task to Incabell.Dec 14 2015, 5:40 PM
Lucie added a subscriber: Lucie.Dec 15 2015, 3:10 PM

@Incabell finished her thesis last week.

Incabell: please add a link to the pdf here once you've uploaded it to Commons and close this task then

Qgil removed a subscriber: Qgil.Mar 9 2016, 12:36 PM

@Lydia_Pintscher I'd like to keep working on the prototype on the side during the next six month. It needs another one or two iterations. Should I open a new task for that or should we use this one, since this technically still counts as research?

Let's plan those next steps and create new tickets for them, yeah.

In T130991, @IKhitron and @Kipod wrote:

Hello. We think it's a good idea to add a new parameter to templatedata, wikidata, which has a property ID for data that should be taken if the actual parameter is empty. For example: a parameter country in town template has required=true and also wikidata=P12345. It can help for different templatedata tools. For example, template wizards will use it as automatic start value. The template parameters validator we developed will alert on required parameter absence only if the parameter is empty and also there is no data in wikidata property. Thank you.

RexxS added a comment.Mar 27 2016, 8:47 PM

One of the problems that you will encounter is that the contents of an infobox are ultimately subject to consensus on individual articles (on the English Wikipedia at least). That implies, for example, that a "town template" can't have "country_required=true" coded into it as that level of decision-making is presently delegated to individual articles that use the template. The best we could accomplish without further central consensus is to ensure that an individual article can set something like "|country=_NODISPLAY_" which would override any template settings and suppress the display of the country field.

The RfC governing the use of Wikidata in infoboxes on en-wp is https://en.wikipedia.org/wiki/Wikipedia:Requests_for_comment/Wikidata_Phase_2 - see Question 1, Option 4 discusion. Option 5 did not gain consensus. It is probably well out-of-date by now, but there's nothing else to refer to.

I see. If so, it will not work properly on enwiki, indeed. But maybe part of templates could use it, maybe even in different context, and other wp can steel use it well. We have no problems like those, because we are much smaller, and there is no problem to find a best option in community - there aren;t so many oppositioners, in numbers (crossing fingers).

Dank removed a subscriber: Dank.Apr 21 2016, 3:00 AM

Here is a link to my thesis on this topic.

https://commons.wikimedia.org/wiki/File%3AFacilitating_the_use_of_Wikidata_in_Wikimedia_projects_with_a_user-centered_design_approach.pdf

I'm still working on the topic to improve the prototype before considering implementation.

Charlie_WMDE closed this task as Resolved.May 31 2016, 9:23 AM
Lydia_Pintscher moved this task from in progress to hold on the Wikidata board.Nov 29 2016, 9:25 AM
srishakatux updated the task description. (Show Details)Jan 27 2017, 1:26 AM
srishakatux updated the task description. (Show Details)Feb 11 2017, 1:36 AM
Samat added a subscriber: Samat.May 21 2017, 10:27 AM
He7d3r added a subscriber: He7d3r.Aug 9 2017, 9:05 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 9 2017, 9:05 PM